/**
 * Turn a JSONSchema API into OpenWhisk command line parameter
 * string. An example output might be "-p payload bonjour" if there is
 * a required string parameter "payload" with a default value of
 * "bonjour".
 *
 * @param api a JSONSchema instance
 * @return an OpenWhisk command line parameter string
 */
export declare const apiToDefaultParams: (api: any) => string;
